Subject: bug#39919: 26.3; Incorrect byte-compiler warning

From: Mike Woolley <[email-masked]>
Date: Tue, 28 Apr 2020 19:48:49 +0100

Thanks for the explanation Michael.

How about changing dotimes as you suggested, but making cl-dotimes have it’s own implementation with the result parameter fix applied? 

Then everyone’s a winner - those who want the CL behaviour can have it, but core Emacs will have a cleaner version.

Thanks,
Mike

> On 28 Apr 2020, at 19:13, Michael Heerdegen <[email-masked]> wrote:
> 
> Mike Woolley <[email-masked]> writes:
> 
>> I think people using `dotimes' from `cl’ are going to expect it to
>> work like in Common Lisp (as that’s the whole point).
> 
> But note that dotimes is in subr.el, and cl-dotimes is separate (though
> it's currently implemented on top of dotimes).
> 
>> Just deprecating the result parameter because it’s too hard doesn’t
>> seem like a good solution :-)
> 
> I regret that I said it like that, no, that's not a reason.  The main
> reason is that the whole existence (usefulness) of the RESULT argument
> and its position in the syntax are questionable.
> 
> Michael.
>